5g core control plane helm charts and 5g Ran simulator helm charts

Change-Id: I4201ec10d796c1aa8f21679f99fbb790e414d97a
diff --git a/omec/5g-control-plane/templates/bin/_pcf-run.sh.tpl b/omec/5g-control-plane/templates/bin/_pcf-run.sh.tpl
new file mode 100644
index 0000000..1d11de4
--- /dev/null
+++ b/omec/5g-control-plane/templates/bin/_pcf-run.sh.tpl
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# Copyright 2020-present Open Networking Foundation
+#
+# SPDX-License-Identifier: LicenseRef-ONF-Member-Only-1.0
+
+set -xe
+
+{{- if .Values.config.coreDump.enabled }}
+cp /free5gc/pcf/pcf /tmp/coredump/
+{{- end }}
+
+#cat config files
+
+cd /free5gc
+cat ./config/free5GC.conf
+cat ./config/pcfcfg.conf
+cat /etc/hosts
+cp /free5gc/config/pcfcfg.conf /tmp/pcfcfg.conf
+sed -i "s/POD_IP/${POD_IP}/g" /tmp/pcfcfg.conf
+NRF_ADDR=$(dig +short nrf.omec.svc.cluster.local)
+sed -i "s/nrf.free5gc.org/${NRF_ADDR}/g" /tmp/pcfcfg.conf
+./pcf/pcf -pcfcfg /tmp/pcfcfg.conf